/// \file main.h
/// \brief Glowny plik w ktorym sa pliki i jeszcze wiecej plikow

#include <stdlib.h>
#include <fstream>
#include <vector>
#include <list>
#include <map>
#include <time.h>
#include <math.h>
#ifdef WIN32
	#define WINDOWS
#elif WIN64
	#define WINDOWS
#endif
#ifdef WINDOWS
	#include <windows.h>
#endif

extern "C"		// SDL
	{
	#include <SDL/SDL.h>
	#include <SDL/SDL_audio.h>
//	#include <SDL/SDL_mixer.h>
//	#include <SDL/SDL_net.h>
//	#include <SDL/SDL_thread.h>
	}

extern "C"		// curl
	{
	#include <curl/curl.h>
	#include <curl/easy.h>
	}

extern "C"
	{
	#include "md5.h"
	}

using namespace std;

#undef main

#include "resfile.h"
#include "parser.h"
#include "sound.h"

#include "sprite.h"
#include "object.h"
#include "particle.h"
#include "mucha.h"
#include "weapons.h"

#include "text.h"
#include "hiscore.h"

extern SDL_Surface *screen;

enum mode {MENU, GAME, SCORE, SENDSCORE};	// Tryby gry
enum weapon {WBOMB=0, WFLAME, WAIRSTRIKE, WCONCRETE, WARMAGEDDON, WMUCHOZOL, WLAST};	// Dostepne bronie

extern bool run;
extern bool update;
extern Uint8 *key;

extern const int FPSDELAY;

extern map <string, Sprite *> gfx;
extern list <Particle> particles;
extern list <Mucha *> muchy;
extern list <Weapon *> weps;

extern int gkills, gtime;

SDL_Rect *rect(SDL_Rect *rect, Sint16 x, Sint16 y, Uint16 w, Uint16 h);
void updateRect(int x, int y, int w, int h);
void putPix(SDL_Surface *surf, int x, int y, Uint32 color);
